Skip to main content
POST
/
projects
/
{project_id}
/
monitoring_requirements
/
{id}
/
submissions
Post Monitoring Submission
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/monitoring_requirements/{id}/submissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "source_id": "src_1EBBF4M7X1S06G1Y",
  "valid_from": "2023-11-07T05:31:56Z",
  "notes": "Pages 14-21",
  "supplier_reference_id": "<string>",
  "valid_to": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/monitoring_requirements/{id}/submissions"

payload = {
"source_id": "src_1EBBF4M7X1S06G1Y",
"valid_from": "2023-11-07T05:31:56Z",
"notes": "Pages 14-21",
"supplier_reference_id": "<string>",
"valid_to": "2023-11-07T05:31:56Z"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
source_id: 'src_1EBBF4M7X1S06G1Y',
valid_from: '2023-11-07T05:31:56Z',
notes: 'Pages 14-21',
supplier_reference_id: '<string>',
valid_to: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/monitoring_requirements/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "mns_1D46WGW6A1S03FRG",
  "notes": "<string>",
  "project_monitoring_requirement_id": "pfx_1HQTSP3RX1S0Y2RG",
  "source_id": "src_1EBBF4M7X1S06G1Y",
  "supplier_reference_id": "<string>",
  "valid_from": "2023-11-07T05:31:56Z",
  "valid_to": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

id
required
Required string length: 20 - 37
Example:

"mnr_1DJJQY5C61S0R519"

Body

application/json
source_id
string
required

The Isometric ID of the source that the submission is for.

Required string length: 20 - 37
Examples:

"src_1EBBF4M7X1S06G1Y"

"src_1DW1B17VNSBX37N0"

valid_from
string<date-time>
required

Signifies the start of the period that the submission is valid for.

notes
string | null

Any additional notes or comments.

Example:

"Pages 14-21"

supplier_reference_id
string | null

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
valid_to
string<date-time> | null

Signifies the end of the period that the submission is valid for.

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"mns_1D46WGW6A1S03FRG"

"mns_1DCRH1P6JSBX480H"

notes
string | null
required
project_monitoring_requirement_id
required
Required string length: 20 - 37
Example:

"pfx_1HQTSP3RX1S0Y2RG"

source_id
string
required
Required string length: 20 - 37
Examples:

"src_1EBBF4M7X1S06G1Y"

"src_1DW1B17VNSBX37N0"

supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
valid_from
string<date-time> | null
required
valid_to
string<date-time> | null
required